Download it now!
Bug 134188 - Vertical Text Button Can't Be Hide in Some Toolbars
Summary: Vertical Text Button Can't Be Hide in Some Toolbars
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:7.1.0 target:7.0.0.2
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-06-21 11:24 UTC by Rizal Muttaqin
Modified: 2020-07-18 18:08 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Vertical Text in Writer standard toolbar (31.87 KB, image/png)
2020-06-21 11:24 UTC, Rizal Muttaqin
Details
can not insert (905.43 KB, video/mp4)
2020-06-22 20:20 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rizal Muttaqin 2020-06-21 11:24:29 UTC
Created attachment 162250 [details]
Vertical Text in Writer standard toolbar

Step to reproduce

1. Open up Writer
2. Hide Vertical Text in Standard Toolbar: 
   > Right click on Standard toolbar > Visible Button > click Vertical Text to disable it > (result) still visible. Double check with:
   > Right click on Standard toolbar > Customize toolbar > Vertical Text unchecked
try to check and uncheck the button is always visible. There is no way to hide it


As far as I can remember, the button was hidden by default. This is happens also in Impress Drawing toolbar and Draw Standard toolbar.


Version: 7.1.0.0.alpha0+ (x64)
Build ID: 63d4e8aa10186b4ed0e3106c116ad25c5fb5ed6d
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: id-ID (id_ID); UI: en-US
Calc: threaded
Comment 1 BogdanB 2020-06-22 19:03:30 UTC
Also I can not show it.
Maybe is the same problem. It is not editable.

Version: 7.1.0.0.alpha0+
Build ID: a3c8ea5e644ca2fc04de9f01ba9f8ace47f520f0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-17_02:21:20
Calc: threaded
Comment 2 Rizal Muttaqin 2020-06-22 20:16:52 UTC
(In reply to BogdanB from comment #1)
> Also I can not show it.
> Maybe is the same problem. It is not editable.
> 

Can not show or it always shown?
Comment 3 BogdanB 2020-06-22 20:18:18 UTC
In my case is oposite. I can not activate to show. I make a video now.
Comment 4 BogdanB 2020-06-22 20:20:39 UTC
Created attachment 162326 [details]
can not insert

I can not show that option.
But as you can see I can add EPUB.
So, the toolbar in general is working but not this one.
Comment 5 Rizal Muttaqin 2020-06-22 20:22:41 UTC
(In reply to BogdanB from comment #4)
> Created attachment 162326 [details]
> can not insert
> 
> I can not show that option.
> But as you can see I can add EPUB.
> So, the toolbar in general is working but not this one.

This is clearly a regression
Comment 6 BogdanB 2020-06-22 20:24:05 UTC
I will bibisect it myself.
Comment 7 BogdanB 2020-06-22 20:44:15 UTC
f8491e7e233948145f379dbe72f03936a66a1eb7 is the first bad commit
commit f8491e7e233948145f379dbe72f03936a66a1eb7
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Jan 25 23:53:44 2020 +0100

    source sha:eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b
    
    source sha:eeb2d19e77d6dc47c68e8ba0920a02cf64a1247b

 instdir/program/libsclo.so            | Bin 21684976 -> 21684824 bytes
 instdir/program/libsdlo.so            | Bin 10021048 -> 10020856 bytes
 instdir/program/libsvtlo.so           | Bin 4546544 -> 4546544 bytes
 instdir/program/libsvxlo.so           | Bin 5904888 -> 5914392 bytes
 instdir/program/libswlo.so            | Bin 21991248 -> 21991064 bytes
 instdir/program/services/services.rdb |   2 +-
 instdir/program/versionrc             |   2 +-
 instdir/share/registry/main.xcd       |   2 +-
 8 files changed, 3 insertions(+), 3 deletions(-)
Comment 8 Commit Notification 2020-07-08 09:04:53 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d3a98b87824f2e2248a45b97d7eef5e8ad596dd3

tdf#134188 tdf#114223 Don't override vertical text button visibility

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2020-07-14 19:54:17 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/ad6d723bb6e37e70702ea467072a1dc077293839

tdf#134188 tdf#114223 Don't override vertical text button visibility

It will be available in 7.0.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 BogdanB 2020-07-18 18:08:55 UTC
Verified. It's ok now in
Version: 7.1.0.0.alpha0+
Build ID: fa844c15233f108a0e9b0b2e8c9757c1aa088a4b
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded